.TH CosNaming_NamingContextExt 3 "orber  3.6.13" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosNaming_NamingContextExt \- This interface contains operation for converting a Name sequence to a string and back\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br


.nf
        -include_lib("orber/COSS/CosNaming/CosNaming\&.hrl")\&.
    
.fi
.LP
This module also exports the functions described in:
.RS 2
.TP 2
*
CosNaming_NamingContext
.RE

.SH EXPORTS
.LP
.B
to_string(NamingContext, Name) -> Return
.br
.RS
.TP
Types
NameContext = #objref
.br
Name = [NameComponent]
.br
Return = string() | {\&'EXCEPTION\&', NamingContext::InvalidName{}}
.br
.RE
.RS
.LP
Stringifies a \fIName\fR sequence to a string\&.
.RE
.LP
.B
to_name(NamingContext, NameString) -> Return
.br
.RS
.TP
Types
NameContext = #objref
.br
NameString = string()
.br
Return = [NameComponent] | {\&'EXCEPTION\&', NamingContext::InvalidName{}}
.br
.RE
.RS
.LP
Converts a stringified \fIName\fR to a \fIName\fR sequence\&.
.RE
.LP
.B
to_url(NamingContext, AddressString, NameString) -> Return
.br
.RS
.TP
Types
NameContext = #objref
.br
Address = NameString = string()
.br
Return = URLString | {\&'EXCEPTION\&', NamingContext::InvalidName{}} | {\&'EXCEPTION\&', NamingContextExt::InvalidAddress{}}
.br
.RE
.RS
.LP
This operation takes a \fIcorbaloc\fR string and a stringified \fIName\fR sequence as input and returns a fully formed URL string\&.
.RE
.LP
.B
resolve_str(NamingContext, NameString) -> Return
.br
.RS
.TP
Types
NameContext = #objref
.br
NameString = string()
.br
Return = #objref | {\&'EXCEPTION\&', NamingContext::InvalidName{}} | {\&'EXCEPTION\&', NamingContext::NotFound{why, rest_of_name}} | {\&'EXCEPTION\&', NamingContext::CannotProceed{cxt, rest_of_name}}
.br
.RE
.RS
.LP
This operation takes a stringified \fIName\fR sequence as input and returns the associated, if any, object\&.
.RE
